org.richfaces.renderkit

## Class TabClassBuilder

- java.lang.Object
- - org.richfaces.renderkit.TabClassBuilder

-     public class TabClassBuilder
      extends java.lang.Object

  Let's build tab style class of: 'renderer-specific' classes
  Author:
    Maksim Kaszynski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TabClassBuilder` | `activeTabClassBuilder`
    `static TabClassBuilder` | `disabledTabClassBuilder`
    `static TabClassBuilder` | `inactiveTabClassBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabClassBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `buildTabClass(UITab tab)` gather cumulative class
    `protected java.lang.String` | `getClassFromTab(UITab tab)` usually styleClass attribute specified directly on tab
    `protected java.lang.String` | `getCommonClassForAllTabs()` common prefix for all tabs (renderer-specific)
    `protected java.lang.String` | `getCommonTabClassFromPane(UITabPanel pane)` general class of all tabs specified on pane
    `protected java.lang.String` | `getSpecificClassForAllTabs()` class common class for different kinds of tabs (e.g. active, disabled, etc) renderer-specific
    `protected java.lang.String` | `getSpecificClassFromTab(UITab tab)` no known implements
    `protected java.lang.String` | `getSpecificTabClassFromPane(UITab tab, UITabPanel pane)` get class from pane depending on tab kind
    `static java.lang.String` | `getStringAttributeOrEmptyString(javax.faces.component.UIComponent component, java.lang.String attributeName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### activeTabClassBuilder

          public static final TabClassBuilder activeTabClassBuilder

    - #### disabledTabClassBuilder

          public static final TabClassBuilder disabledTabClassBuilder

    - #### inactiveTabClassBuilder

          public static final TabClassBuilder inactiveTabClassBuilder

  - ### Constructor Detail

    - #### TabClassBuilder

          public TabClassBuilder()

  - ### Method Detail

    - #### getStringAttributeOrEmptyString

          public static java.lang.String getStringAttributeOrEmptyString(javax.faces.component.UIComponent component,
                                                         java.lang.String attributeName)

    - #### buildTabClass

          public java.lang.String buildTabClass(UITab tab)

      gather cumulative class
      Parameters:
        `tab` -
      Returns:

    - #### getCommonClassForAllTabs

          protected java.lang.String getCommonClassForAllTabs()

      common prefix for all tabs (renderer-specific)
      Returns:

    - #### getSpecificClassForAllTabs

          protected java.lang.String getSpecificClassForAllTabs()

      class common class for different kinds of tabs (e.g. active, disabled, etc) renderer-specific
      Returns:

    - #### getClassFromTab

          protected java.lang.String getClassFromTab(UITab tab)

      usually styleClass attribute specified directly on tab
      Parameters:
        `tab` -
      Returns:

    - #### getSpecificClassFromTab

          protected java.lang.String getSpecificClassFromTab(UITab tab)

      no known implements
      Parameters:
        `tab` -
      Returns:

    - #### getCommonTabClassFromPane

          protected java.lang.String getCommonTabClassFromPane(UITabPanel pane)

      general class of all tabs specified on pane
      Parameters:
        `pane` -
      Returns:

    - #### getSpecificTabClassFromPane

          protected java.lang.String getSpecificTabClassFromPane(UITab tab,
                                                     UITabPanel pane)

      get class from pane depending on tab kind
      Parameters:
        `tab` -
        `pane` -
      Returns:

Copyright © 2014. All Rights Reserved.